OAuth
OAuth2 client management
Create a new OAuth2 client application.
Required permissions, when user-scoped authentication is used: OAUTH_TOKEN_CREATE. Also, when the user-scoped authentication is used, user should have developer mode enabled.
OAuth2 Bearer token obtained from authentication endpoint
Organization ID, in which OAuth client will be created. If not provided, the organization, that is associated with the authentication token, will be used.
101Client application name
My IoT AppRedirect URIs
https://myapp.com/oauth/callbackOAuth client created successfully
Organization ID, that the client belongs to
101Client application name
My IoT AppOAuth client ID
oa2-client-id_s5XUlzvfaQL8BVkteN6DuIdUxdX7u0lJOAuth client secret
xDG7p4mu4J37P4aoa0TXCFr1hii35j_775S-2dKsAllowed redirect URIs
https://myapp.com/oauth/callbackBad request
Forbidden
Organization not found or access denied
Too many requests
Internal server error
POST /api/v1/organization/oauth/clients/create HTTP/1.1
Host: blynk.cloud
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151
{
"orgId": 101,
"name": "My IoT App",
"redirectUrls": [
"https://myapp.com/oauth/callback"
],
"scopes": [
"PLATFORM_API",
"CLIENT_CREDENTIALS",
"DEVICES_GET_ONLY"
]
}{
"orgId": 101,
"name": "My IoT App",
"clientId": "oa2-client-id_s5XUlzvfaQL8BVkteN6DuIdUxdX7u0lJ",
"secret": "xDG7p4mu4J37P4aoa0TXCFr1hii35j_775S-2dKs",
"redirectUrls": [
"https://myapp.com/oauth/callback"
],
"scopes": [
"PLATFORM_API"
]
}Last updated
Was this helpful?

